Bug 89741 - Building sword gives reference to an unexpected package "sword-debuginfo-1.5.5-1"
Building sword gives reference to an unexpected package "sword-debuginfo-1.5....
Product: Red Hat Linux
Classification: Retired
Component: rpm-build (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Depends On:
  Show dependency treegraph
Reported: 2003-04-27 08:58 EDT by Hugo van der Kooij
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-01-07 06:53:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hugo van der Kooij 2003-04-27 08:58:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; nl-NL; rv:1.2.1) Gecko/20030309

Description of problem:
An unexpected subpackage oops up when trying to compile this package. (It did
compile just fine on Red Hat Linux 8.0)

Included are the end of the trace and the actual SPEC file.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Download the sword-1.5.5.src.prm
2. Rebuild with: rpmbuild --rebuild sword-1.5.5.src.rpm

Actual Results:
+ mkdir -p /var/tmp/sword-root/usr/lib/sword
+ cp utilities/.libs/addgb utilities/.libs/addld utilities/.libs/addvs
utilities/.libs/cipherraw utilities/.libs/ciphertest utilities/.libs/ciphertest2
utilities/.libs/emptyvss utilities/.libs/imp2gbs utilities/.libs/imp2ld
utilities/.libs/imp2vs utilities/.libs/mkfastmod utilities/.libs/mod2imp
utilities/.libs/mod2osis utilities/.libs/mod2vpl utilities/.libs/mod2zmod
utilities/.libs/modwrite utilities/.libs/step2vpl utilities/.libs/stepdump
utilities/.libs/thml2gbs utilities/.libs/txt2sword utilities/.libs/vpl2mod
+ exit 0
Processing files: sword-1.5.5-1
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.7015
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd sword-1.5.5
+ DOCDIR=/var/tmp/sword-root/usr/share/doc/sword-1.5.5
+ export DOCDIR
+ rm -rf /var/tmp/sword-root/usr/share/doc/sword-1.5.5
+ /bin/mkdir -p /var/tmp/sword-root/usr/share/doc/sword-1.5.5
+ cp -pr README AUTHORS NEWS INSTALL /var/tmp/sword-root/usr/share/doc/sword-1.5.5
+ exit 0
Provides: config(sword) = 1.5.5-1 libsword.so.1
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires: config(sword) = 1.5.5-1 libc.so.6 libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.1.3) libgcc_s.so.1 libgcc_s.so.1(GCC_3.0)
libm.so.6 libstdc++.so.5 libstdc++.so.5(CXXABI_1.2) libstdc++.so.5(GLIBCPP_3.2)
libstdc++.so.5(GLIBCPP_3.2.2) libsword.so.1 libz.so.1
Processing files: sword-devel-1.5.5-1
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.7015
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd sword-1.5.5
+ DOCDIR=/var/tmp/sword-root/usr/share/doc/sword-devel-1.5.5
+ export DOCDIR
+ rm -rf /var/tmp/sword-root/usr/share/doc/sword-devel-1.5.5
+ /bin/mkdir -p /var/tmp/sword-root/usr/share/doc/sword-devel-1.5.5
+ cp -pr doc/ads doc/api-documentation doc/greektrans.txt doc/README
doc/sword-api.doxygen doc/translation-template.conf
+ exit 0
Requires(interp): /sbin/ldconfig /sbin/ldconfig
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Processing files: sword-debuginfo-1.5.5-1
error: Could not open %files file
/usr/src/redhat/BUILD/sword-1.5.5/debugfiles.list: No such file or directory

RPM build errors:
    Could not open %files file
/usr/src/redhat/BUILD/sword-1.5.5/debugfiles.list: No such file or directory

Expected Results:  A working RPM file ;-)

Additional info:

Summary:        The SWORD Project framework for manipulating Bible texts
Name:           sword
%define version 1.5.5
Version:        %{version}
Release:        1
Icon:           sword.gif
Copyright:      GPL
Packager:       CrossWire Bible Society
URL:            http://www.crosswire.org
Group:          System Environment/Libraries
BuildRoot:      /var/tmp/sword-root

The SWORD Project is an effort to create an ever expanding software package for
research and study of God and His Word.  The SWORD Bible Framework allows easy
manipulation of Bible texts, commentaries, lexicons, dictionaries, etc.  Many
frontends are build using this framework.  An installed module set may be shared
between any frontend using the framework.

%package devel
Summary: Include files and static libraries for developing sword applications.
Group: Development/Libraries

%description devel
Include files and static libraries for developing sword applications.

%setup -q

export PATH=/usr/bin:/bin
export LDFLAGS='-s'
./configure --disable-dependency-tracking --prefix=/usr --sysconfdir=/etc

make install DESTDIR="$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/usr/lib/sword
cp utilities/.libs/* $RPM_BUILD_ROOT/usr/lib/sword
exit 0

%post devel -p /sbin/ldconfig

%postun devel -p /sbin/ldconfig

%config /etc/sword.conf
%config /usr/share/sword/mods.d/globals.conf
%config /usr/share/sword/locales.d/*.conf

%files devel
%doc doc/*

* Sat Dec 14 2002 Hugo van der Kooij <hugo@vanderkooij.org>
- Version 1.5.5 
- Red Hat Linux 8.0
* Sat Sep 28 2002 Hugo van der Kooij <hugo@vanderkooij.org>
- Version 1.5.4
* Mon May 20 2002 Stuart Gathman <stuart@bmsi.com>
- Version 1.5.3
* Wed Dec 19 2001 Stuart Gathman <stuart@bmsi.com>
- add additional utilities, move to /usr/lib/sword
* Thu Dec 13 2001 Stuart Gathman <stuart@bmsi.com>
- add locales config
* Sat Jan 20 2001 Stuart Gathman <stuart@bmsi.com>
- mkfastmod and other utilities
* Thu Nov 30 2000 Stuart Gathman <stuart@bmsi.com>
- cheatah application
* Fri Nov 17 2000 Stuart Gathman <stuart@bmsi.com>
- initial release
Comment 1 Jeff Johnson 2003-04-29 11:36:17 EDT
Try adding
   %define debug_package %{nil}
to the spec file.

Does that fix?
Comment 2 Hugo van der Kooij 2003-04-29 14:47:58 EDT
It allows the package to be build. So I assume some more permanent fix is required.
Comment 3 Jeff Johnson 2003-04-29 16:40:00 EDT
For the moment, %define debug_package %{nil}
is the fix.

A better fix would require the redhat-rpm-config package
to interact more closely with rpmbuild, and that's exactly
opposite to what was desired, building -debuginfo packages
automagically w/o changing any existing specfile.

But yes the configuration is a bit flimsy, can't be helped imho.
Comment 4 Hugo van der Kooij 2003-04-29 16:52:32 EDT
I find it unacceptable that one has to install a source packae and then edit a
spec file where a plain rpmbuild --rebuild should work.
Editting individual SPEC files is NOT a workable option.
Comment 5 Jeff Johnson 2003-04-29 17:05:30 EDT
Then do
    rpm -e redhat-rpm-config
and be happy.

Off to redhat-rpm-config for closure.
Comment 6 Elliot Lee 2003-04-30 09:45:55 EDT
I highly suspect that the 'exit 0' at the end of %install is the real cause of the problem. 
Please remove it instead of using the define.
Comment 7 Hugo van der Kooij 2003-12-09 04:09:58 EST
Is there a way to set thin in z central file? Like a .specrc file or
something similar instead of changing hundreds of files?
Comment 8 Hugo van der Kooij 2004-01-07 06:53:53 EST
Took me a while to realise ~/.rpmmacros is the answer to this bug.

If one put's in a line like:

%debug_package          %{nil}

The whole issue is solved.

Note You need to log in before you can comment on or make changes to this bug.